com.holonplatform.jaxrs.swagger.annotations

## Annotation Type ApiDefinition

- Deprecated.
  Use `ApiContextId` to assign a context id to API resource classes when more than one API definition is configured. For API definition information configuration, the standard Swagger annotations should be used (for example `Info` or `OpenAPIDefinition` for Swagger/OpenAPI v3).

      @Target(value={TYPE,PACKAGE})
       @Retention(value=RUNTIME)
       @Documented
       @Deprecated
      public @interface ApiDefinition

  Annotation which can be used for Swagger API listing endpoints auto-configuration, to specify the Swagger API definition properties for JAX-RS endpoint classes.
  Since:
    5.0.0

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `contact` Deprecated. API contact informations
    `String` | `description` Deprecated. API description
    `String` | `docsPath` Deprecated. Use `value()`
    `String` | `host` Deprecated. API host name.
    `String` | `license` Deprecated. API license
    `String` | `licenseUrl` Deprecated. API license URL
    `boolean` | `prettyPrint` Deprecated. Whether to pretty format the Swagger output
    `String[]` | `schemes` Deprecated. API schemes
    `String` | `termsOfServiceUrl` Deprecated. API terms of service URL
    `String` | `title` Deprecated. API title
    `String` | `value` Deprecated. Get the Swagger API listing endpoint JAX-RS path from which the API documentation will be available.
    `String` | `version` Deprecated. API version description

- - ### Element Detail

    - #### value

          public abstract String value

      Deprecated.
      Get the Swagger API listing endpoint JAX-RS path from which the API documentation will be available.
      Returns:
        the Swagger API listing endpoint path
      Default:
        ""

  - - #### docsPath

          @Deprecated
          public abstract String docsPath

      Deprecated. Use `value()`
      Get the Swagger API listing endpoint JAX-RS path from which the API documentation will be available.
      Returns:
        the Swagger API listing endpoint path
      Default:
        ""

  - - #### title

          public abstract String title

      Deprecated.
      API title
      Returns:
        the title
      Default:
        ""

  - - #### version

          public abstract String version

      Deprecated.
      API version description
      Returns:
        the version
      Default:
        ""

  - - #### description

          public abstract String description

      Deprecated.
      API description
      Returns:
        the description
      Default:
        ""

  - - #### schemes

          public abstract String[] schemes

      Deprecated.
      API schemes
      Returns:
        the schemes
      Default:
        {}

  - - #### termsOfServiceUrl

          public abstract String termsOfServiceUrl

      Deprecated.
      API terms of service URL
      Returns:
        the terms of service URL
      Default:
        ""

  - - #### contact

          public abstract String contact

      Deprecated.
      API contact informations
      Returns:
        the contact informations
      Default:
        ""

  - - #### license

          public abstract String license

      Deprecated.
      API license
      Returns:
        the license
      Default:
        ""

  - - #### licenseUrl

          public abstract String licenseUrl

      Deprecated.
      API license URL
      Returns:
        the license URL
      Default:
        ""

  - - #### host

          public abstract String host

      Deprecated.
      API host name.
      Returns:
        the host name
      Default:
        ""

  - - #### prettyPrint

          public abstract boolean prettyPrint

      Deprecated.
      Whether to pretty format the Swagger output
      Returns:
        `true` to pretty format the Swagger output
      Default:
        false

Copyright © 2019 The Holon Platform. All rights reserved.